parquet-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From w...@apache.org
Subject parquet-cpp git commit: PARQUET-886: Update README to include system configuration requirements
Date Tue, 21 Feb 2017 14:32:16 GMT
Repository: parquet-cpp
Updated Branches:
  refs/heads/master 3527224ba -> 5d408fe45


PARQUET-886: Update README to include system configuration requirements

This presumes that we will make Thrift compile in external project form (needs to be tested
in Travis CI)

Author: Wes McKinney <wes.mckinney@twosigma.com>

Closes #253 from wesm/PARQUET-886 and squashes the following commits:

10647e0 [Wes McKinney] Add libboost-regex-dev
8cdbb88 [Wes McKinney] Update README to include system configuration requirements


Project: http://git-wip-us.apache.org/repos/asf/parquet-cpp/repo
Commit: http://git-wip-us.apache.org/repos/asf/parquet-cpp/commit/5d408fe4
Tree: http://git-wip-us.apache.org/repos/asf/parquet-cpp/tree/5d408fe4
Diff: http://git-wip-us.apache.org/repos/asf/parquet-cpp/diff/5d408fe4

Branch: refs/heads/master
Commit: 5d408fe4556c4fffe82c03c0aedfb124042cc9f9
Parents: 3527224
Author: Wes McKinney <wes.mckinney@twosigma.com>
Authored: Tue Feb 21 09:32:10 2017 -0500
Committer: Wes McKinney <wes.mckinney@twosigma.com>
Committed: Tue Feb 21 09:32:10 2017 -0500

----------------------------------------------------------------------
 README.md | 32 +++++++++++++++++++++++++-------
 1 file changed, 25 insertions(+), 7 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/parquet-cpp/blob/5d408fe4/README.md
----------------------------------------------------------------------
diff --git a/README.md b/README.md
index 6970d95..5b956b3 100644
--- a/README.md
+++ b/README.md
@@ -31,6 +31,31 @@
   </tr>
 </table>
 
+## System Dependencies
+
+### Linux
+
+parquet-cpp requires gcc 4.8 or higher on Linux.
+
+To build parquet-cpp out of the box, you must install some build prerequisites
+for the thirdparty dependencies. On Debian/Ubuntu, these can be installed with:
+
+```
+sudo apt-get install libboost-dev libboost-filesystem-dev \
+                     libboost-program-options-dev libboost-regex-dev \
+                     libboost-system-dev libboost-test-dev \
+                     libssl-dev libtool bison flex pkg-config
+```
+
+### OS X
+
+You must use XCode 6 or higher. We recommend using Homebrew to install Boost,
+which is required for Thrift:
+
+```
+brew install boost
+```
+
 ## Third Party Dependencies
 
 - Apache Arrow (memory management, built-in IO, optional Array adapters)
@@ -43,13 +68,6 @@
 You can either install these dependencies separately, otherwise they will be
 built automatically as part of the build.
 
-Note that thrift will not be build inside the project on macOS. Instead you
-should install it via homebrew:
-
-```
-brew install thrift
-```
-
 ## Build
 
 - `cmake .`


Mime
View raw message